GrailsConfigUtils (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.context
[Java] Class GrailsConfigUtils

    java.lang.Object
      org.codehaus.groovy.grails.web.context.GrailsConfigUtils

    public class GrailsConfigUtils
    extends java.lang.Object

A common class where shared configurational methods can reside.

Authors:
  Graeme Rocher

Method Summary
`static void` | `configureServletContextAttributes(javax.servlet.ServletContext servletContext, GrailsApplication application, GrailsPluginManager pluginManager, org.springframework.web.context.WebApplicationContext webContext)`
`static org.springframework.web.context.WebApplicationContext` | `configureWebApplicationContext(javax.servlet.ServletContext servletContext, org.springframework.web.context.WebApplicationContext parent)`
`static GrailsRuntimeConfigurator` | `determineGrailsRuntimeConfiguratorFromServletContext(GrailsApplication application, javax.servlet.ServletContext servletContext, org.springframework.context.ApplicationContext parent)`
`static void` | `executeGrailsBootstraps(GrailsApplication application, org.springframework.web.context.WebApplicationContext webContext, javax.servlet.ServletContext servletContext)` Executes Grails bootstrap classes
`static boolean` | `isConfigTrue(GrailsApplication application, java.lang.String propertyName)` Checks if a Config parameter is true or a System property with the same name is true
`static boolean` | `isConfigTrue(java.lang.Object application, java.lang.String propertyName)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### configureServletContextAttributes

    public static void configureServletContextAttributes(javax.servlet.ServletContext servletContext, GrailsApplication application, GrailsPluginManager pluginManager, org.springframework.web.context.WebApplicationContext webContext)

### configureWebApplicationContext

    public static org.springframework.web.context.WebApplicationContext configureWebApplicationContext(javax.servlet.ServletContext servletContext, org.springframework.web.context.WebApplicationContext parent)

### determineGrailsRuntimeConfiguratorFromServletContext

    public static GrailsRuntimeConfigurator determineGrailsRuntimeConfiguratorFromServletContext(GrailsApplication application, javax.servlet.ServletContext servletContext, org.springframework.context.ApplicationContext parent)

### executeGrailsBootstraps

    public static void executeGrailsBootstraps(GrailsApplication application, org.springframework.web.context.WebApplicationContext webContext, javax.servlet.ServletContext servletContext)

  Executes Grails bootstrap classes
  Parameters:
    `application` - The Grails ApplicationContext instance
    `webContext` - The WebApplicationContext instance
    `servletContext` - The ServletContext instance

### isConfigTrue

    public static boolean isConfigTrue(GrailsApplication application, java.lang.String propertyName)

  Checks if a Config parameter is true or a System property with the same name is true
  Parameters:
    application
    propertyName
  Returns:
    true if the Config parameter is true or the System property with the same name is true

### isConfigTrue

    public static boolean isConfigTrue(java.lang.Object application, java.lang.String propertyName)

Groovy Documentation